Issue #10147 has been reported by Dieter Spth.

----------------------------------------
Bug #10147: URI parsing with ruby 2.2.0dev 
https://bugs.ruby-lang.org/issues/10147

* Author: Dieter Spth
* Status: Open
* Priority: Normal
* Assignee: 
* Category: 
* Target version: 
* ruby -v: ruby 2.2.0dev (2014-08-18 trunk 47214) [x86_64-darwin13]
* Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN
----------------------------------------
Hi,

the following uris can't be parsed any more (ruby: ruby 2.2.0dev (2014-08-18 trunk 47214) [x86_64-darwin13])

`
require 'uri'

URI('//example.org/nested_optional_group?items[][key]=foo')
URI('//example.org/nested_optional_group?items[key]=foo')
URI('//example.org/nested_optional_group?items[]=foo')
`

With ruby 2.1.0p0 (2013-12-25 revision 44422) [x86_64-darwin12.0] this uriscan be parsed.


regards 
dieter




-- 
https://bugs.ruby-lang.org/